#include "tetris-struct.h"
#include "raylib.h"
#include <stdio.h>

int main(){
    
    const int screenWidth = 1280;
    const int screenHeight = 720;
    InitWindow(screenWidth, screenHeight, "Tetris");
    SetTargetFPS(60);
    
    while(!WindowShouldClose()){
        BeginDrawing();
        
        ClearBackground(RAYWHITE);
        
        EndDrawing();
    }
    CloseWindow();
    
    Grid grid = gridInit();

    while(!gameOver(grid)){
        Piece piece = pieceInit();

        while(canMove(piece, grid)){
            move(piece);
        }
        addPieceToGrid(piece, grid);
    }
}